Page MenuHomePhabricator

[Spike] How can we use template styles to change the main page on eswiki
Closed, ResolvedPublic

Description

Background

The New Readers team is looking into running a campaign on Spanish Wikipedia with changes similar to the ones we did on hiwiki T189316: Developer review of changes to Hindi Wikipedia Main_page [3 hours]. We'd like to investigate whether we can do this using template styles this time around

Acceptance criteria

Answer the following questions:

  • Can template styles be used to make the changes?
  • If so, does this work need engineering support? What specific skills are required?
  • What permissions are required?

Event Timeline

ovasileva created this task.Aug 6 2018, 5:34 PM
atgo updated the task description. (Show Details)Aug 6 2018, 9:29 PM
atgo updated the task description. (Show Details)Aug 6 2018, 9:34 PM
ovasileva triaged this task as Normal priority.Aug 7 2018, 9:07 AM
Jdlrobson added a subscriber: Jdlrobson.EditedAug 9 2018, 9:24 PM

Can template styles be used to make the changes?

What are the changes you are planning?

Assuming, similar/exact changes to Hindi, TemplateStyles should make a lot of this easier, but only with a mindset switch - the desktop and mobile styles are shared, thus can apply to Vector(desktop) as well as mobile.

Ideally, the design can be shared between mobile or desktop, or only be scoped to mobile-style resolutions e.g. 320px. This will require a different approach to last time.
Note, if the styles are drastically different for mobile, you are likely to be incurring wikitext-debt (and technical debt if MediaWiki:MobileMainPage.css is necessary).

There were a few things we mentioned that made things tricky last time and will continue to cause pain this time round:

No mobile sandbox for drafts of the main page:
It's not possible to copy and paste the main page into a user namespace and test it there.
Not possible to style content outside the content area
TemplateStyles scopes your styling changes to everything inside the #content area. If like in the Hindi Main page you want to change the background color or change anything else inside the UI this will not be possible without enabling and using MediaWiki:MobileMainPage.css. You will need engineering support to make these kind of changes.

If so, does this work need engineering support? What specific skills are required?

Your likely to need our support again, probably with similar levels of involvement this time, until this becomes a repeatable process. Please plan accordingly!

Thanks @Jdlrobson, much appreciated.

@ovasileva, let's connect about how/if we can make this happen. We're aiming for mid September for this to go live if we do it.

atgo moved this task from Backlog to Done on the New-Readers board.Sep 10 2018, 8:57 PM
atgo closed this task as Resolved.Nov 29 2018, 9:44 PM